var
i,j,k,n: integer;
 a,p,rez: array [1..1000000] of real;
 max: real;
begin
 readln (n);
 for i:= 1 to n do readln(a[i],p[i]);
 for i:= 1 to n do
 begin
   rez[i]:=0;
   for j:=1 to n do
   if (p[j]>=p[i]) then rez[i]:=a[j]*(p[i]/100)+rez[i];
 end;
 max:=rez[1];
 for k:=2 to n do if rez[k]>max then begin max:=rez[k]; end;
 writeln(max:2:4);
 readln;
end.